<?php

namespace App\Controllers;

use CodeIgniter\Controller;
use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;
use App\Models\BreakingNews_Model;

class BreakingNews extends Controller {

    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger) {
        // Do Not Edit This Line
        parent::initController($request, $response, $logger);

        $this->session = \Config\Services::session();
        $this->session->start();

        $this->BreakingNews_Model = new BreakingNews_Model();

        $this->db = \Config\Database::connect();
        $this->data['app_name'] = $this->db->table('tbl_settings')->where('type', 'app_name')->get()->getResult();
        $this->data['app_logo'] = $this->db->table('tbl_settings')->where('type', 'app_logo')->get()->getResult();
    }

    public function index() {
        if (!$this->session->get('isLoggedIn')) {
            return redirect('/');
        } else {
            return view('breaking_news', $this->data);
        }
    }

    public function store() {
        if (ALLOW_MODIFICATION) {
            $this->session->setFlashdata('error', DEMO_VERSION_MSG);
        } else {
            $data = [
                'title' => $this->request->getVar('title'),
                'description' => $this->request->getVar('des')
            ];
            $this->BreakingNews_Model->insert($data);
            $this->session->setFlashdata('success', 'Data inserted successfully.!');
        }
        return redirect('breaking_news');
    }

    public function update() {
        if (ALLOW_MODIFICATION) {
            $this->session->setFlashdata('error', DEMO_VERSION_MSG);
        } else {
            $id = $this->request->getVar('edit_id');
            $data = [
                'title' => $this->request->getVar('title'),
                'description' => $this->request->getVar('des')
            ];
            $this->BreakingNews_Model->update($id, $data);
            $this->session->setFlashdata('success', 'Data Update successfully.!');
        }
        return redirect('breaking_news');
    }

    public function delete() {
        if (ALLOW_MODIFICATION) {
            return $this->response->setJSON(FALSE);
        } else {
            $id = $this->request->getVar('id');
            $this->BreakingNews_Model->where('id', $id)->delete();
            return $this->response->setJSON(TRUE);
        }
    }

}
