<!DOCTYPE html>
<html lang="en">
    <head>
        <title>News | <?= ($app_name) ? $app_name[0]->message : '' ?></title>        
        <?php base_url() . include 'include.php'; ?>  
    </head>

    <body class="hold-transition sidebar-mini">
        <div class="wrapper">
            <?php base_url() . include 'header.php'; ?>  
            <!-- Content Wrapper. Contains page content -->
            <div class="content-wrapper">

                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1>Create and Manage News</h1>
                            </div>
                        </div>
                    </div>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card card-secondary">
                                    <div class="card-header">
                                        <h3 class="card-title">Add News</h3>
                                    </div>
                                    <form action="<?= APP_URL ?>store_news" role="form" id="insert_form" method="POST" enctype="multipart/form-data">
                                        <?= csrf_field() ?>
                                        <div class="card-body">
                                            <div class="form-group row">
                                                <?php if (is_category_enabled() == 1) { ?>
                                                    <div class="col-sm-6">
                                                        <label>Category</label>
                                                        <select name="category_id" class="form-control" required>
                                                            <option value="">Select Category</option>
                                                            <?php foreach ($cate as $cate1): ?>
                                                                <option value="<?= $cate1['id']; ?>"><?= $cate1['category_name']; ?></option>
                                                            <?php endforeach; ?>
                                                        </select>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <label>Title</label>                                           
                                                        <input type="text" name="title" class="form-control" placeholder="news title" required>
                                                    </div>   
                                                <?php } else { ?>
                                                    <div class="col-sm-12">
                                                        <label>Title</label>                                           
                                                        <input type="text" name="title" class="form-control" placeholder="news title" required>
                                                    </div>   
                                                <?php } ?>

                                            </div>
                                            <div class="form-group row">
                                                <div class="col-sm-6">
                                                    <label>Image <small class="text-danger">Only png, jpg and jpeg image allow</small></label>
                                                    <div class="custom-file">
                                                        <input name="file" type="file" accept="image/*" class="custom-file-input" id="exampleInputFile1" required>
                                                        <label class="custom-file-label" id="image" for="customFile">Choose file</label>
                                                    </div>
                                                    <p style="display:none" id="img_error_msg" class="alert alert-danger"></p>
                                                </div>    
                                                <div class="col-sm-6">
                                                    <label>Other Image <small class="text-danger">Only png, jpg and jpeg image allow</small></label>
                                                    <div class="custom-file">
                                                        <input name="ofile[]" type="file" accept="image/*" multiple class="custom-file-input" id="exampleInputFile2">
                                                        <label class="custom-file-label" for="customFile">Choose file</label>                                                        
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-sm-6">
                                                    <label>Content Type</label>
                                                    <select name="content_type" id="content_type" class="form-control" required>
                                                        <option value="standard_post" selected>Standard Post</option>
                                                        <option value="video_youtube">Video (YouTube)</option>
                                                        <option value="video_other">Video (Other Url)</option>
                                                        <option value="video_upload">Video (Upload)</option>
                                                    </select>
                                                </div>                                                
                                                <div class="col-sm-6 video_youtube">
                                                    <label>Youtube URL</label>
                                                    <input type="url" name="youtube_url" class="form-control" required>
                                                </div>                                                
                                                <div class="col-sm-6 video_other">
                                                    <label>Other URL</label>
                                                    <input type="url" name="other_url" class="form-control" required>
                                                </div>                                                
                                                <div class="col-sm-6 video_upload">
                                                    <label>Video Upload</label>
                                                    <div class="custom-file">
                                                        <input name="video_file" type="file" class="custom-file-input" id="exampleVideoInputFile1" required>
                                                        <label class="custom-file-label" for="customFile">Choose file</label>
                                                    </div>
                                                    <p style="display:none" id="video_error_msg" class="alert alert-danger"></p>
                                                </div>
                                            </div>
                                            <div class="form-group row">    
                                                <div class="col-sm-12">
                                                    <label>Description</label>
                                                    <textarea id="des" name="des" class="form-control"></textarea>
                                                    <input name="img" type="file" id="upload" class="hidden" onchange="">
                                                </div>
                                            </div>

                                            <?php if ($this->session->getFlashdata('error')) { ?>
                                                <div class="col-sm-6 offset-2">
                                                    <p id="error_msg" class="alert alert-danger"><?php echo $this->session->getFlashdata('error'); ?></p>
                                                </div>
                                            <?php } ?> 
                                            <?php if ($this->session->getFlashdata('success')) { ?>
                                                <div class="col-sm-6 offset-2">
                                                    <p id="success_msg" class="alert alert-success"><?php echo $this->session->getFlashdata('success'); ?></p>
                                                </div>
                                            <?php } ?>
                                        </div>
                                        <div class="card-footer">
                                            <button type="submit" class="btn btn-primary">Submit</button>
                                        </div>
                                    </form>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="card card-secondary">
                                    <div class="card-header">
                                        <h3 class="card-title">News <small> View / Update / Delete</small></h3>
                                    </div>
                                    <div class="card-body">
                                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-1">
                                            <p id="delete_msg" style="display:none;" class="alert alert-success"></p>
                                        </div>                                     
                                        <?php if (is_category_enabled() == 1) { ?>
                                            <div class="row">
                                                <div class="col-4">
                                                    <select id="filter_category" name="filter_category" class="form-control">
                                                        <option value="">Select Category</option>
                                                        <?php foreach ($cate as $cate1): ?>
                                                            <option value="<?= $cate1['id']; ?>"><?= $cate1['category_name']; ?></option>
                                                        <?php endforeach; ?>
                                                    </select>
                                                </div>
                                                <div class="col-4">
                                                    <button class='btn btn-primary btn-block' id='filter_btn'>Filter Data</button>
                                                </div>
                                            </div>
                                        <?php } ?>
                                        <table aria-describedby="mydesc" class='table-striped' id='news_list' 
                                               data-toggle="table" 
                                               data-url="<?= APP_URL . 'Table/news' ?>"
                                               data-click-to-select="true" 
                                               data-side-pagination="server" 
                                               data-pagination="true" data-page-list="[5, 10, 20, 50, 100, 200]" 
                                               data-search="true" data-toolbar="#toolbar"
                                               data-show-columns="true" data-show-refresh="true" 
                                               data-fixed-columns="true" data-fixed-number="1" data-fixed-right-number="1"
                                               data-trim-on-search="false" 
                                               data-sort-name="id" data-sort-order="desc" 
                                               data-mobile-responsive="true"
                                               data-maintain-selected="true" data-export-types='["txt","excel"]' 
                                               data-export-options='{ "fileName": "news-list-<?= date('d-m-y') ?>" }'
                                               data-query-params="queryParams">
                                            <thead>
                                                <tr>
                                                    <th scope="col" data-field="id" data-sortable="true">ID</th>
                                                    <?php if (is_category_enabled() == 1) { ?>
                                                        <th scope="col" data-field="category_name" data-sortable="true">Category</th>
                                                    <?php } ?>
                                                    <th scope="col" data-field="title" data-sortable="true">Title</th>
                                                    <th scope="col" data-field="content_type" data-sortable="false">Content Type</th>
                                                    <th scope="col" data-field="image" data-sortable="false">Image</th>
                                                    <th scope="col" data-field="date" data-sortable="true">Date</th>
                                                    <th scope="col" data-field="total_image" data-sortable="false">More Image</th>
                                                    <th scope="col" data-field="operate" data-sortable="false" data-events="actionEvents">Operate</th>
                                                </tr>
                                            </thead>
                                        </table> 
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </section>
                <!-- /.content -->

            </div>

            <div class="modal fade" id="editDataModal">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title">Edit News</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>

                        <form action="<?= APP_URL ?>update_news" role="form" id="update_form" method="POST" enctype="multipart/form-data">
                            <?= csrf_field() ?>
                            <input type='hidden' name="edit_id" id="edit_id" value=''/>
                            <input type='hidden' name="image_url" id="image_url" value=''/>
                            <input type='hidden' name="video_url" id="video_url" value=''/>
                            <div class="modal-body">
                                <div class="form-group row">
                                    <?php if (is_category_enabled() == 1) { ?>                                    
                                        <div class="col-6">
                                            <label>Category</label>                                       
                                            <select id="edit_category" name="category_id" class="form-control" required>
                                                <option value="">Select Category</option>
                                                <?php foreach ($cate as $cate1): ?>
                                                    <option value="<?= $cate1['id']; ?>"><?= $cate1['category_name']; ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div> 
                                        <div class="col-sm-6">
                                            <label>Title</label>
                                            <input type="text" name="title" id="edit_title" class="form-control" placeholder="news title" required>
                                        </div>
                                    <?php } else { ?>
                                        <div class="col-sm-12">
                                            <label>Title</label>
                                            <input type="text" name="title" id="edit_title" class="form-control" placeholder="news title" required>
                                        </div>
                                    <?php } ?>
                                </div>

                                <div class="form-group row">                                    
                                    <div class="col-sm-6">
                                        <label>Content Type</label>
                                        <select name="content_type" id="edit_content_type" class="form-control" required>
                                            <option value="standard_post" selected>Standard Post</option>
                                            <option value="video_youtube">Video (YouTube)</option>
                                            <option value="video_other">Video (Other Url)</option>
                                            <option value="video_upload">Video (Upload)</option>
                                        </select>
                                    </div>

                                    <div class="col-sm-6 evideo_youtube">
                                        <label>Youtube URL</label>
                                        <input type="url" name="youtube_url" id="youtube_url" class="form-control" required>
                                    </div>                                   
                                    <div class="col-sm-6 evideo_other">
                                        <label>Other URL</label>
                                        <input type="url" name="other_url" id="other_url" class="form-control" required>
                                    </div>

                                    <div class="col-sm-6 evideo_upload">
                                        <label>Video Upload</label>
                                        <div class="custom-file">
                                            <input name="video_file" type="file" class="custom-file-input" id="exampleVideoInputFile1">
                                            <label class="custom-file-label" id="video" for="customFile">Choose file</label>
                                        </div>
                                        <p style="display:none" id="video_error_msg" class="alert alert-danger"></p>
                                    </div>
                                </div>
                                <div class="form-group row">  
                                    <div class="col-sm-12">
                                        <label>Image</label>
                                        <div class="custom-file">
                                            <input name="file" type="file" accept="image/*" class="custom-file-input" id="exampleInputFile11">
                                            <label class="custom-file-label" id="image1" for="customFile">Choose file</label>
                                        </div>
                                        <p style="display:none" id="img_error_msg1" class="alert alert-danger"></p>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer justify-content-between">
                                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Save changes</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <!-- /.modal -->

            <div class="modal fade" id="editDataDesModal">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title">Edit News Description</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>

                        <form action="<?= APP_URL ?>update_news_des" role="form" id="update_form" method="POST" enctype="multipart/form-data">
                            <?= csrf_field() ?>
                            <input type='hidden' name="edit_des_id" id="edit_des_id" value=''/>
                            <div class="modal-body">                               
                                <div class="form-group row">       
                                    <div class="col-sm-12">
                                        <label>Description</label>
                                        <textarea id="edit_des" name="des" class="form-control"></textarea>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer justify-content-between">
                                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Save changes</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <?php base_url() . include 'footer.php'; ?>  

        </div>
        <!-- ./wrapper -->

        <script type="text/javascript">
            $('#filter_btn').on('click', function (e) {
                $('#news_list').bootstrapTable('refresh');
            });
            function queryParams(p) {
                return {
                    "category": $('#filter_category').val(),
                    limit: p.limit,
                    order: p.order,
                    offset: p.offset,
                    search: p.search
                };
            }
        </script>

        <script type="text/javascript">
            window.actionEvents = {
                'click .edit-data': function (e, value, row, index) {
                    $('#edit_id').val(row.id);
                    $("#image_url").val(row.image_url);
                    $("#edit_date").val(row.date1);
<?php if (is_category_enabled() == 1) { ?>
                        $("#edit_category").val(row.category_id);
<?php } ?>
                    $("#edit_title").val(row.title);

                    var con_value = row.content_value;

                    $("#edit_content_type").val(row.content);
                    if (row.content == "standard_post") {
                        $('.evideo_youtube').hide();
                        $('.evideo_other').hide();
                        $('.evideo_upload').hide();
                    }
                    if (row.content == "video_youtube") {
                        $('.evideo_youtube').show();
                        $('#youtube_url').val(con_value);
                        $('.evideo_other').hide();
                        $('.evideo_upload').hide();
                    }
                    if (row.content == "video_other") {
                        $('.evideo_youtube').hide();
                        $('#other_url').val(con_value);
                        $('.evideo_other').show();
                        $('.evideo_upload').hide();
                    }
                    if (row.content == "video_upload") {
                        $('.evideo_youtube').hide();
                        $('.evideo_other').hide();
                        $('.evideo_upload').show();
                        $("#video_url").val('public/images/news_video/' + con_value);
                    }
                },
                'click .edit-data-des': function (e, value, row, index) {
                    $('#edit_des_id').val(row.id);
                    var des1 = tinyMCE.get('edit_des').setContent(row.description);
                    $('#edit_des').val(des1);
                }
            };
        </script>

        <script type="text/javascript">
            $('.video_youtube').hide();
            $('.video_other').hide();
            $('.video_upload').hide();
            $(document).ready(function (e) {
                $("#content_type").change(function () {
                    var type = $("#content_type").val();
                    if (type == "standard_post") {
                        $('.video_youtube').hide();
                        $('.video_other').hide();
                        $('.video_upload').hide();
                    }
                    if (type == "video_youtube") {
                        $('.video_youtube').show();
                        $('.video_other').hide();
                        $('.video_upload').hide();
                    }
                    if (type == "video_other") {
                        $('.video_youtube').hide();
                        $('.video_other').show();
                        $('.video_upload').hide();
                    }
                    if (type == "video_upload") {
                        $('.video_youtube').hide();
                        $('.video_other').hide();
                        $('.video_upload').show();
                    }
                });
                $("#edit_content_type").change(function () {
                    var type = $("#edit_content_type").val();
                    if (type == "standard_post") {
                        $('.evideo_youtube').hide();
                        $('.evideo_other').hide();
                        $('.evideo_upload').hide();
                    }
                    if (type == "video_youtube") {
                        $('.evideo_youtube').show();
                        $('.evideo_other').hide();
                        $('.evideo_upload').hide();
                    }
                    if (type == "video_other") {
                        $('.evideo_youtube').hide();
                        $('.evideo_other').show();
                        $('.evideo_upload').hide();
                    }
                    if (type == "video_upload") {
                        $('.evideo_youtube').hide();
                        $('.evideo_other').hide();
                        $('.evideo_upload').show();
                    }
                });

            });
        </script> 

        <script>
            $(document).ready(function () {
                var date = new Date();
                var day = date.getDate();
                var month = date.getMonth() + 1;
                var year = date.getFullYear();
                if (month < 10)
                    month = "0" + month;
                if (day < 10)
                    day = "0" + day;

                var today = year + "-" + month + "-" + day;
                document.getElementById('date').value = today;
            });
        </script>

        <script>
            $(document).on('click', '.delete-data', function () {
                if (confirm('Are you sure? Want to delete news?')) {
                    var base_url = "<?= APP_URL ?>";
                    var id = $(this).data("id");
                    var image = $(this).data("image");
                    var con_value = $(this).data("cvalue");

                    $.ajax({
                        url: base_url + 'delete_news',
                        type: "POST",
                        dataType: "json",
                        data: {id: id, image_url: image, con_value: con_value},
                        success: function (result) {
                            if (result) {
                                setTimeout(function () {
                                    window.location.reload();
                                }, 1000);
                            }
                        }
                    });
                }
            });
        </script>
        <script>
            var _URL = window.URL || window.webkitURL;

            $("#exampleInputFile1").change(function (e) {
                var file, img;
                if ((file = this.files[0])) {
                    img = new Image();
                    img.onerror = function () {
                        $('#exampleInputFile1').val('');
                        $('#image').html('');
                        $('#img_error_msg').html("Invalid Image Type");
                        $('#img_error_msg').show().delay(3000).fadeOut();
                    };
                    img.src = _URL.createObjectURL(file);
                }
            });
            $("#exampleInputFile11").change(function (e) {
                var file, img;
                if ((file = this.files[0])) {
                    img = new Image();
                    img.onerror = function () {
                        $('#exampleInputFile11').val('');
                        $('#image1').html('');
                        $('#img_error_msg1').html("Invalid Image Type");
                        $('#img_error_msg1').show().delay(3000).fadeOut();
                    };
                    img.src = _URL.createObjectURL(file);
                }
            });

            $("#exampleVideoInputFile1").change(function (e) {
                var fileInput = document.getElementById('exampleVideoInputFile1');
                var filePath = fileInput.value;
                var allowedExtensions = /(\.mp4|\.m4a|\.mkv|\.avi)$/i;
                if (!allowedExtensions.exec(filePath)) {
                    $('#exampleVideoInputFile1').val('');
                    $('#video').html('');
                    $('#video_error_msg').html("Invalid Type");
                    $('#video_error_msg').show().delay(3000).fadeOut();
                }
            });
        </script>

        <script type="text/javascript">
            $(document).ready(function () {
                $('#insert_form').validate({
                    errorElement: 'span',
                    errorPlacement: function (error, element) {
                        error.addClass('invalid-feedback');
                        element.closest('.form-group div').append(error);
                    },
                    highlight: function (element, errorClass, validClass) {
                        $(element).addClass('is-invalid');
                    },
                    unhighlight: function (element, errorClass, validClass) {
                        $(element).removeClass('is-invalid');
                    }
                });
            });
        </script>
        <script type="text/javascript">
            $(document).ready(function () {
                $('#update_form').validate({
                    errorElement: 'span',
                    errorPlacement: function (error, element) {
                        error.addClass('invalid-feedback');
                        element.closest('.form-group div').append(error);
                    },
                    highlight: function (element, errorClass, validClass) {
                        $(element).addClass('is-invalid');
                    },
                    unhighlight: function (element, errorClass, validClass) {
                        $(element).removeClass('is-invalid');
                    }
                });
            });
        </script>
        <script>
            $(document).ready(function () {
                $(document).on('focusin', function (e) {
                    if ($(e.target).closest(".tox-tinymce-aux, .moxman-window, .tam-assetmanager-root").length) {
                        e.stopImmediatePropagation();
                    }
                });

                var base_url = "<?= APP_URL ?>";
                tinymce.init({
                    selector: "#des, #edit_des",
                    height: 250,
                    plugins: [
                        "advlist autolink lists link image charmap preview hr anchor pagebreak",
                        "searchreplace wordcount visualblocks visualchars code fullscreen",
                        "insertdatetime media nonbreaking save table contextmenu directionality",
                        "emoticons template paste textcolor colorpicker textpattern"
                    ],
                    toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent |",
                    toolbar2: "link image | preview media | forecolor backcolor emoticons",
                    image_advtab: true,
                    images_upload_url: base_url + "upload_img",
                    relative_urls: false,
                    remove_script_host: false,
                    file_picker_callback: function (callback, value, meta) {
                        if (meta.filetype == "media" || meta.filetype == "image") {

                            // Trigger click on file element
                            jQuery("#upload").trigger("click");
                            $("#upload").unbind('change');
                            // File selection
                            jQuery("#upload").on("change", function () {
                                var file = this.files[0];
                                var reader = new FileReader();

                                // FormData
                                var fd = new FormData();
                                var files = file;
                                fd.append("file", files);
                                fd.append('filetype', meta.filetype);

                                var filename = "";
                                // AJAX
                                jQuery.ajax({
                                    url: base_url + "upload_img",
                                    type: "post",
                                    data: fd,
                                    contentType: false,
                                    processData: false,
                                    async: false,
                                    success: function (response) {
                                        filename = response;
                                    }
                                });

                                reader.onload = function (e) {
                                    callback("public/images/news/" + filename);
                                };
                                reader.readAsDataURL(file);
                            });
                        }
                    },
                    setup: function (editor) {
                        editor.on("change keyup", function (e) {
                            //tinyMCE.triggerSave(); // updates all instances
                            editor.save(); // updates this instance's textarea
                            $(editor.getElement()).trigger('change'); // for garlic to detect change
                        });
                    }

                });
            });
        </script>
    </body>
</html>